Package net.sf.saxon.type

## Class AnyFunctionTypeWithAssertions

- java.lang.Object
- - net.sf.saxon.type.AnyFunctionType
  - - net.sf.saxon.type.AnyFunctionTypeWithAssertions

- All Implemented Interfaces:
    `FunctionItemType`, `ItemType`

      public class AnyFunctionTypeWithAssertions
      extends AnyFunctionType

  The item type function(*) when it is preceded by one or more annotation assertions

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.type.ItemType

      `ItemType.WithSequenceTypeCache`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.type.AnyFunctionType

      `ANY_FUNCTION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnyFunctionTypeWithAssertions​(AnnotationList assertions, Configuration config)` | Construct an item type representing the item type function(*) with a list of annotation assertions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationList` | `getAnnotationAssertions()` | Get the list of annotation assertions defined on this function item type.
    `boolean` | `matches​(Item item, TypeHierarchy th)` | Test whether a given item conforms to this type

    - ### Methods inherited from class net.sf.saxon.type.AnyFunctionType

      `getArgumentTypes, getAtomizedItemType, getBasicAlphaCode, getDefaultPriority, getInstance, getPrimitiveItemType, getPrimitiveType, getResultType, getUType, isArrayType, isAtomicType, isAtomizable, isMapType, isPlainType, makeFunctionSequenceCoercer, relationship, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.type.FunctionItemType

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.type.ItemType

      `explainMismatch, getFullAlphaCode, getNormalizedDefaultPriority, isTrueItemType, toExportString`

- - ### Constructor Detail

    - #### AnyFunctionTypeWithAssertions

          public AnyFunctionTypeWithAssertions​(AnnotationList assertions,
                                               Configuration config)

      Construct an item type representing the item type function(*) with a list of annotation assertions
      Parameters:
        `assertions` - the annotation assertions

  - ### Method Detail

    - #### getAnnotationAssertions

          public AnnotationList getAnnotationAssertions()

      Get the list of annotation assertions defined on this function item type.
      Specified by:
        `getAnnotationAssertions` in interface `FunctionItemType`
      Overrides:
        `getAnnotationAssertions` in class `AnyFunctionType`
      Returns:
        the list of annotation assertions, or an empty list if there are none

    - #### matches

          public boolean matches​(Item item,
                                 TypeHierarchy th)
                          throws XPathException

      Test whether a given item conforms to this type
      Specified by:
        `matches` in interface `ItemType`
      Overrides:
        `matches` in class `AnyFunctionType`
      Parameters:
        `item` - The item to be tested
        `th` - the type hierarchy cache
      Returns:
        true if the item is an instance of this type; false otherwise
      Throws:
        `XPathException`